Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.openjpa.persistence.query
Enum UnaryFunctionalOperator

    java.lang.Object
      java.lang.Enum<UnaryFunctionalOperator>
          org.apache.openjpa.persistence.query.UnaryFunctionalOperator

All Implemented Interfaces:
  Serializable, Comparable<UnaryFunctionalOperator>

    public enum UnaryFunctionalOperator

extends Enum<UnaryFunctionalOperator>

Enumeration of operator that operates on a single expression to generate another expression.

Author:
  Pinaki Poddar
See Also:
  `UnaryOperatorExpression`

Enum Constant Summary
`ABS`
`ALL`
`ANY`
`AVG`
`CONCAT`
`COUNT`
`DISTINCT`
`EXISTS`
`INDEX`
`LENGTH`
`LOCATE`
`LOWER`
`MAX`
`MIN`
`MINUS`
`SIZE`
`SOME`
`SQRT`
`SUBSTR`
`SUM`
`TRIM`
`TYPE`
`UPPER`

Method Summary
`String` | `toString()`
`static UnaryFunctionalOperator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UnaryFunctionalOperator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ABS

    public static final UnaryFunctionalOperator ABS

### ALL

    public static final UnaryFunctionalOperator ALL

### ANY

    public static final UnaryFunctionalOperator ANY

### AVG

    public static final UnaryFunctionalOperator AVG

### CONCAT

    public static final UnaryFunctionalOperator CONCAT

### COUNT

    public static final UnaryFunctionalOperator COUNT

### DISTINCT

    public static final UnaryFunctionalOperator DISTINCT

### EXISTS

    public static final UnaryFunctionalOperator EXISTS

### INDEX

    public static final UnaryFunctionalOperator INDEX

### LENGTH

    public static final UnaryFunctionalOperator LENGTH

### LOCATE

    public static final UnaryFunctionalOperator LOCATE

### LOWER

    public static final UnaryFunctionalOperator LOWER

### MAX

    public static final UnaryFunctionalOperator MAX

### MIN

    public static final UnaryFunctionalOperator MIN

### MINUS

    public static final UnaryFunctionalOperator MINUS

### SIZE

    public static final UnaryFunctionalOperator SIZE

### SOME

    public static final UnaryFunctionalOperator SOME

### SQRT

    public static final UnaryFunctionalOperator SQRT

### SUBSTR

    public static final UnaryFunctionalOperator SUBSTR

### SUM

    public static final UnaryFunctionalOperator SUM

### TRIM

    public static final UnaryFunctionalOperator TRIM

### TYPE

    public static final UnaryFunctionalOperator TYPE

### UPPER

    public static final UnaryFunctionalOperator UPPER

Method Detail

### values

    public static UnaryFunctionalOperator[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UnaryFunctionalOperator c : UnaryFunctionalOperator.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UnaryFunctionalOperator valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<UnaryFunctionalOperator>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.